unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button_NewEntry: TButton;
    Button_ShowList3: TButton;
    Button_ShowList2: TButton;
    Button_ShowList1: TButton;
    Edit1: TEdit;
    Label1: TLabel;
    ListBox1: TListBox;
    procedure Button_NewEntryClick(Sender: TObject);
    procedure Button_ShowList1Click(Sender: TObject);
    procedure Button_ShowList2Click(Sender: TObject);
    procedure Button_ShowList3Click(Sender: TObject);
    procedure FormClose(Sender: TObject; var CloseAction: TCloseAction);
    procedure FormCreate(Sender: TObject);
  private
    act    : integer;
    aStr   : array [0..2] of TStringList;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }



procedure TForm1.FormCreate(Sender: TObject);
var lv,i : integer;
    str: TStringList;
begin
 act := 1;i:= 0;
 for lv := 0 to 2 do aStr[lv] := TStringList.Create;
 str := TStringList.Create;
 try
  if fileexists('MyList.txt') then str.LoadFromFile('MyList.txt')
  else
    begin
     showmessage('Datei nicht gefunden!');
     exit;
    end;
  for lv := 0 to pred(str.Count) do
   begin
    if str.Strings[lv] = ';' then inc(i) else
    aStr[i].Add(str.Strings[lv]);
   end;
  ListBox1.Items.Assign(aStr[act-1]);
 finally
  str.Free;
 end;
end;

procedure TForm1.Button_NewEntryClick(Sender: TObject);
begin
 aStr[act-1].Add(Edit1.Text);
 ListBox1.Clear;
 ListBox1.Items.Assign(aStr[act-1]);
end;

procedure TForm1.Button_ShowList1Click(Sender: TObject);
begin
 act := 1;
 Label1.Caption := 'Liste 1 aktiv:';
 ListBox1.Clear;
 ListBox1.Items.Assign(aStr[act-1]);
end;

procedure TForm1.Button_ShowList2Click(Sender: TObject);
begin
 act := 2;
 Label1.Caption := 'Liste 2 aktiv:';
 ListBox1.Clear;
 ListBox1.Items.Assign(aStr[act-1]);
end;

procedure TForm1.Button_ShowList3Click(Sender: TObject);
begin
 act := 3;
 Label1.Caption := 'Liste 3 aktiv:';
 ListBox1.Clear;
 ListBox1.Items.Assign(aStr[act-1]);
end;

procedure TForm1.FormClose(Sender: TObject; var CloseAction: TCloseAction);
var lv : integer;
    str: TStringlist;
begin
 str  := TStringList.Create;
 try
  for lv := 0 to 2 do
   begin
     str.AddStrings(aStr[lv]);
     str.Add(';');
   end;
  str.SaveToFile('MyList.txt');
 finally
  for lv := 0 to 2 do aStr[lv].Free;
  str.Free;
 end;
end;

end.

